<template>
  <select-field
    v-bind="$attrs"
    :items="paymentRecurrences"
    :label="$t('label')"
    prepend-icon="mdi-clock-outline"
    v-on="$listeners"
  />
</template>

<script>
  import { get } from 'vuex-pathify'

  export default {
    name: 'PaymentRecurrencesSelectField',
    computed: {
      ...get('paymentRecurrences', [
        'paymentRecurrences',
      ]),
    },
    i18n: {
      messages: {
        'pt-BR': {
          label: 'Recorrências',
        },
        'en-US': {
          label: 'Payment recurrences',
        },
      },
    },
  }
</script>
